curl --request POST \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": [
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]
}
'{
"total": 20,
"records": [
{
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"locationId": "ve9EPM428h8vShlRW1KT",
"objectId": "6d6f6e676f5f6576656e7473",
"objectKey": "custom_objects.pet",
"createdBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"lastUpdatedBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"searchAfter": [
1738683828372,
"67a235b49b289431bcf657f8"
]
}
]
}Supported Objects are custom objects and standard objects like “business”. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-379336
curl --request POST \
--url https://services.leadconnectorhq.com/objects/{schemaKey}/records/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Version: <version>' \
--data '
{
"locationId": "ve9EPM428h8vShlRW1KT",
"page": 1,
"pageLimit": 10,
"query": "Buddy",
"searchAfter": [
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]
}
'{
"total": 20,
"records": [
{
"id": "661c06b4ffde146bdb469442",
"owner": [
"sx6wyHhbFdRXh302Lunr"
],
"followers": [
"sx6wyHhbFdRXh302Lunr",
"v5cEPM428h8vShlRW1KT"
],
"properties": {
"customer_number": 1424,
"ticket_name": "Customer not able login",
"phone_number": "+917000000000",
"money": {
"currency": "default",
"value": 100
},
"type_of_ticket": "doubt",
"section_of_app": [
"contacts",
"smartlist"
],
"recieved_on": "2024-07-11",
"my_files": [
{
"url": "---url_of_file---"
}
],
"my_textbox_list.option_a": "Value 1",
"my_textbox_list.option_b": "Value 2"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"locationId": "ve9EPM428h8vShlRW1KT",
"objectId": "6d6f6e676f5f6576656e7473",
"objectKey": "custom_objects.pet",
"createdBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"lastUpdatedBy": {
"channel": "WEB_USER",
"createdAt": "2025-01-02T09:35:39.032Z",
"source": "PUBLIC_API",
"sourceId": "26653146-ec82-435d-8a99-84ecdb7fde13"
},
"searchAfter": [
1738683828372,
"67a235b49b289431bcf657f8"
]
}
]
}Use the Access Token generated with user type as Sub-Account (OR) Private Integration Token of Sub-Account.
API Version
2021-07-28 custom object key
"632c34b4c9b7da3358ac9891"
Location Id
"ve9EPM428h8vShlRW1KT"
Page
1
Page Limit
10
Pass this query parameter to search using your searchable properties. For example, if you have a custom object called “Pets” and have configured “name” as a searchable property, you can pass name:Buddy to search for pets with the name “Buddy.”
"Buddy"
[
"sx6wyHhbFdRXh302Lunr",
"sx6wyHhbFdRXh302Lunr"
]Was this page helpful?